package com.ruoyi.syzy.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.ruoyi.common.utils.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 院校专业分数线对象 b_busi_wish_university_submit_marjors
 *
 * @author mingxue
 * @date 2021-08-20
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BBusiWishUniversitySubmitMarjors extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 所在地 */
    @Excel(name = "所在地")
    private String location;
    private String batch;

    /** 层次 */
    @Excel(name = "层次")
    private String level;

    /** 类别 */
    @Excel(name = "类别")
    private String type;

    /** 代码 */
    @Excel(name = "代码")
    private String marjorId;

    /** 院校 */
    @Excel(name = "院校")
    private Long universityId;

    /** 院校名 */
    @Excel(name = "院校名")
    private String universityName;
    private String universityNameText;

    /** 专业名 */
    @Excel(name = "专业名")
    private String marjorName;
    private String marjorCode;
    private String marjorNameText;

    /** 包含专业 */
    @Excel(name = "包含专业")
    private String marjorBelongs;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String marjorDirection;

    private String specialProject;

    /** 首选科目说明 */
    @Excel(name = "首选科目说明")
    private String courseRemark0;

    /** 再选科目说明 */
    @Excel(name = "再选科目说明")
    private String courseRemark1;

    /** 首选科目 */
    @Excel(name = "首选科目")
    private String course0;

    /** 再选科目或 */
    @Excel(name = "再选科目或")
    private String course1;

    /** 再选科目与 */
    @Excel(name = "再选科目与")
    private String course2;

    /** 录取最低分 */
    @Excel(name = "录取最低分")
    private Long score;
    private Long corrScore;

    /** 录取最低分位次 */
    @Excel(name = "录取最低分位次")
    private Long seat;
    private Long corrSeat;

    /** 招生人数 */
    @Excel(name = "招生人数")
    private Long num;

    /** 录取人数 */
    @Excel(name = "录取人数")
    private Long numReal;

    /** 录取最高分 */
    @Excel(name = "录取最高分")
    private Long scoreRealTop;

    /** 录取最高分位次 */
    @Excel(name = "录取最高分位次")
    private Long seatRealTop;

    /** 录取平均分 */
    @Excel(name = "录取平均分")
    private Long scoreRealAverage;

    /** 录取平均分位次 */
    @Excel(name = "录取平均分位次")
    private Long seatRealAverage;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    private String universityCode;
    private String collegeCode;
    private String course;
    private Integer liberalScience;

    /** 线差 */
    private String lineDiff;

    Boolean collect;
    String collectDesc;
    @JsonProperty("sinoforeign")
    Boolean sinoForeign;
    String sinoForeignDesc;

    String xuezhi;

    String group;
    private String groups;
    private String groupsName;
    Boolean inheritScore;

    public String getMarjorCode() {
        return marjorCode;
    }

    public void setMarjorCode(String marjorCode) {
        this.marjorCode = marjorCode;
    }

    public String getXuezhi() {
        return xuezhi;
    }

    public void setXuezhi(String xuezhi) {
        this.xuezhi = xuezhi;
    }

    public String getUniversityNameText() {
        return universityNameText;
    }

    public void setUniversityNameText(String universityNameText) {
        this.universityNameText = universityNameText;
    }

    List<BBusiWishUniversitySubmitRecruitPlan> bindPlanList;

    public List<BBusiWishUniversitySubmitRecruitPlan> getBindPlanList() {
        return bindPlanList;
    }

    public void setBindPlanList(List<BBusiWishUniversitySubmitRecruitPlan> bindPlanList) {
        this.bindPlanList = bindPlanList;
    }

    public Boolean getInheritScore() {
        return inheritScore;
    }

    public void setInheritScore(Boolean inheritScore) {
        this.inheritScore = inheritScore;
    }

    public String getGroup() {
        //广东的使用groupsName
        return StringUtils.isNotEmpty(this.groupsName)?this.groupsName:StringUtils.getVoluntaryGroup(this.collegeCode);
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getGroups() {
        return groups;
    }

    public void setGroups(String groups) {
        this.groups = groups;
    }

    public String getGroupsName() {
        return groupsName;
    }

    public void setGroupsName(String groupsName) {
        this.groupsName = groupsName;
    }

    public Boolean getCollect() {
        return collect;
    }

    public void setCollect(Boolean collect) {
        this.collect = null != collect ? collect : false;
    }

    public String getCollectDesc() {
        return collectDesc;
    }

    public void setCollectDesc(String collectDesc) {
        this.collectDesc = collectDesc;
    }

    public Boolean getSinoForeign() {
        return sinoForeign;
    }

    public void setSinoForeign(Boolean sinoForeign) {
        this.sinoForeign = null != sinoForeign ? sinoForeign : false;
    }

    public String getSinoForeignDesc() {
        return sinoForeignDesc;
    }

    public void setSinoForeignDesc(String sinoForeignDesc) {
        this.sinoForeignDesc = sinoForeignDesc;
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public String getLineDiff() {
        return lineDiff;
    }

    public void setLineDiff(String lineDiff) {
        this.lineDiff = lineDiff;
    }

    public String getUniversityCode() {
        return universityCode;
    }

    public void setUniversityCode(String universityCode) {
        this.universityCode = universityCode;
    }

    public String getCollegeCode() {
        return collegeCode;
    }

    public void setCollegeCode(String collegeCode) {
        this.collegeCode = collegeCode;
    }

    public String getCourse() {
        return course;
    }

    public void setCourse(String course) {
        this.course = course;
    }

    public Integer getLiberalScience() {
        return liberalScience;
    }

    public void setLiberalScience(Integer liberalScience) {
        this.liberalScience = liberalScience;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setLevel(String level)
    {
        this.level = level;
    }

    public String getLevel()
    {
        return level;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setMarjorId(String marjorId)
    {
        this.marjorId = marjorId;
    }

    public String getMarjorId()
    {
        return marjorId;
    }
    public void setUniversityId(Long universityId)
    {
        this.universityId = universityId;
    }

    public Long getUniversityId()
    {
        return universityId;
    }
    public void setUniversityName(String universityName)
    {
        this.universityName = universityName;
    }

    public String getUniversityName()
    {
        return universityName;
    }
    public void setMarjorName(String marjorName)
    {
        this.marjorName = marjorName;
    }

    public String getMarjorName()
    {
        return marjorName;
    }
    public void setMarjorBelongs(String marjorBelongs)
    {
        this.marjorBelongs = marjorBelongs;
    }

    public String getMarjorBelongs()
    {
        return marjorBelongs;
    }
    public void setMarjorDirection(String marjorDirection)
    {
        this.marjorDirection = marjorDirection;
    }

    public String getMarjorDirection()
    {
        return marjorDirection;
    }
    public void setCourseRemark0(String courseRemark0)
    {
        this.courseRemark0 = courseRemark0;
    }

    public String getCourseRemark0()
    {
        return courseRemark0;
    }
    public void setCourseRemark1(String courseRemark1)
    {
        this.courseRemark1 = courseRemark1;
    }

    public String getCourseRemark1()
    {
        return courseRemark1;
    }
    public void setCourse0(String course0)
    {
        this.course0 = course0;
    }

    public String getCourse0()
    {
        return course0;
    }
    public void setCourse1(String course1)
    {
        this.course1 = course1;
    }

    public String getCourse1()
    {
        return course1;
    }
    public void setCourse2(String course2)
    {
        this.course2 = course2;
    }

    public String getCourse2()
    {
        return course2;
    }
    public void setScore(Long score)
    {
        this.score = score;
    }

    public Long getScore()
    {
        return score;
    }

    public Long getCorrScore() {
        return corrScore;
    }

    public void setCorrScore(Long corrScore) {
        this.corrScore = corrScore;
    }

    public void setSeat(Long seat)
    {
        this.seat = seat;
    }

    public Long getSeat()
    {
        return seat;
    }

    public Long getCorrSeat() {
        return corrSeat;
    }

    public void setCorrSeat(Long corrSeat) {
        this.corrSeat = corrSeat;
    }

    public void setNum(Long num)
    {
        this.num = num;
    }

    public Long getNum()
    {
        return num;
    }
    public void setNumReal(Long numReal)
    {
        this.numReal = numReal;
    }

    public Long getNumReal()
    {
        return numReal;
    }
    public void setScoreRealTop(Long scoreRealTop)
    {
        this.scoreRealTop = scoreRealTop;
    }

    public Long getScoreRealTop()
    {
        return scoreRealTop;
    }
    public void setSeatRealTop(Long seatRealTop)
    {
        this.seatRealTop = seatRealTop;
    }

    public Long getSeatRealTop()
    {
        return seatRealTop;
    }
    public void setScoreRealAverage(Long scoreRealAverage)
    {
        this.scoreRealAverage = scoreRealAverage;
    }

    public Long getScoreRealAverage()
    {
        return scoreRealAverage;
    }
    public void setSeatRealAverage(Long seatRealAverage)
    {
        this.seatRealAverage = seatRealAverage;
    }

    public Long getSeatRealAverage()
    {
        return seatRealAverage;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public String getSpecialProject() {
        return specialProject;
    }

    public void setSpecialProject(String specialProject) {
        this.specialProject = specialProject;
    }

    public String getMarjorNameText() {
        return marjorNameText;
    }

    public void setMarjorNameText(String marjorNameText) {
        this.marjorNameText = marjorNameText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("location", getLocation())
            .append("level", getLevel())
            .append("type", getType())
            .append("marjorId", getMarjorId())
            .append("universityId", getUniversityId())
            .append("universityName", getUniversityName())
            .append("marjorName", getMarjorName())
            .append("marjorBelongs", getMarjorBelongs())
            .append("marjorDirection", getMarjorDirection())
            .append("specialProject", getSpecialProject())
            .append("courseRemark0", getCourseRemark0())
            .append("courseRemark1", getCourseRemark1())
            .append("course0", getCourse0())
            .append("course1", getCourse1())
            .append("course2", getCourse2())
            .append("score", getScore())
            .append("seat", getSeat())
            .append("num", getNum())
            .append("numReal", getNumReal())
            .append("scoreRealTop", getScoreRealTop())
            .append("seatRealTop", getSeatRealTop())
            .append("scoreRealAverage", getScoreRealAverage())
            .append("seatRealAverage", getSeatRealAverage())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .toString();
    }
}
